---
title: "Update a subscriber"
slug: "update-a-subscriber"
abstract: "Describes the request and response details of this Sitecore Send API endpoint to update a subscriber in your email list."
---
# Update a subscriber

`POST /subscribers/{MailingListID}/update/{SubscriberID}.{Format}`

Updates the details of a subscriber in a specific email list in your Sitecore Send account.

## Request

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| Accept | header | string | true | Determines the expected format and data type to retrieve the response data.Value: application/json |
| MailingListID | path | string | true | The ID of the email list that contains the subscriber. |
| SubscriberID | path | string | true | The ID of the subscriber that you want to update. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account |
| Name | body | string | false | The name of the subscriber. |
| Email | body | string | true | The email address of the subscriber. |
| HasExternalDoubleOptIn | body | Boolean | false | When true, it flags the added subscriber as having given subscription consent by other means. |
| CustomFields | body | array | false | A list of name-value pairs that match the subscriber’s custom fields defined in the email list.For example, if you have two custom fields for Age and Country, you must specify the values for these two fields. |
| Tags | body | object | false | The member tag you can use to filter members by when working with an email list. |
| Preferences | body | object | false | The member preferences you can user to segment or filter members by, when working with an email list. |

```http
POST https://{hostname}/v3/subscribers/{MailingListID}/update/{SubscriberID}.{Format}?apikey=

Request body:
{
    "Name": "Some NamePaul",
    "Email": "someEmail@email.com",
    "HasExternalDoubleOptIn": false,
    "CustomFields": \[
        "Age=25",
        "Country=USA"
    \],
    "Tags": \[
        "repeater"
    \],
    "Preferences": \[
      "option a",
      "option b",
      "option c"
    \]
}
```

```curl
curl --include \\
     --request POST \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     --data-raw '{
    "Name": "Some NamePaul",
    "Email": "someEmail@email.com",
    "HasExternalDoubleOptIn": false,
    "CustomFields": \[
        "Age=25",
        "Country=USA"
    \],
    "Tags": \[
        "repeater"
    \],
    "Preferences": \[
        "option a",
        "option b",
        "option c"
    \]
}' \\
'https://{hostname}/v3/subscribers/{MailingListID}/update/{SubscriberID}.{Format}?apikey='
```

## Response

| Status | Description | Headers | Schema |
| --- | --- | --- | --- |
| 200 OK | The request is successful. | Content-Type:application/json | N/A |

```json
{
  "Code": 0,
  "Error": null,
  "Context": {
    "ID": "d75fca65-a2bc-4474-bd4d-307f9cf63a57",
    "Name": "Some name",
    "Email": "someEmail@email.com",
    "CreatedOn": "/Date(1465380655880+0100)/",
    "UpdatedOn": "/Date(1465388373874)/",
    "UnsubscribedOn": null,
    "UnsubscribedFromID": null,
    "SubscribeType": 1,
    "SubscribeMethod": 2,
    "CustomFields": \[
      {
        "CustomFieldID": "b9a6cb39-ec8f-4e5e-a41a-b64b9b3fc190",
        "Name": "Age",
        "Value": 25
      },
      {
        "CustomFieldID": "1c4ff8dc-48e3-4af1-ae4f-2b1b81a44d17",
        "Name": "Country",
        "Value": "USA"
      }
    \],
    "RemovedOn": null,
    "Tags": \[
       "potential",
       "repeater"
    \]  
  }
}
```

-   `Code` - the response code. This is `0` if successful.
    
-   `Error` - the response error message. This is `null` if successful.
    
-   `Context` - an object that contains all the following information for the updated subscriber:
    
    -   `ID` - the ID of the subscriber.
        
    -   `Name` - the name of the subscriber.
        
    -   `Email` - the email address of the subscriber.
        
    -   `CreatedOn` - the date-time the subscriber was added to the email list.
        
    -   `UnsubscribedOn` - the date-time the subscriber was unsubscribed from the email list. This is `null` if not unsubscribed from the list.
        
    -   `UnsubscribedFromID` - the ID that the subscriber is unsubscribed from.
        
    -   `SubscribeType` - the status of the subscriber. For subscribed, this is `1`, for unsubscribed, this is `2`, for bounced, this is `3` , and for removed, this is `4`.
        
    -   `SubscribeMethod` - the method used to subscribe the member to the email list. For subscription forms, this is `0`, for file imports, this is `1`, for manually added, this is `2`.
        
    -   `CustomFields` - a list containing the custom fields of the new subscriber. Each custom field contains the following:
        
        -   `CustomFieldID` - the ID of the custom field.
            
        -   `Name` - the name of the custom field.
            
        -   `Value` - the value of the custom field.

    -   `RemovedOn` - the date-time the subscriber was removed from the email list.
        
    -   `Tags` - a list containing the tags of the new subscriber.